fcf.module({
  name: "fcf:NFSQL/NFunction/Count.js",
  dependencies: ["fcf:NFSQL/NFunction/Function.js"],
  module: function(Function, Errors) {
    var NFunction = fcf.prepareObject(fcf, "NFSQL.NFunction");

    NFunction.Count = function() {
      Function.call(this);

      this.aggregate = true;

      this.processFunction = function(a_taskInfo, a_info){
        a_info.function.args = [{field: "*"}];
        a_info.function.recommendedAs = "count()";
      }

    }

    return NFunction.Count;
  }
});
